Subject: [GIT PULL 1/2] soc: ti: Driver updates for v7.2

From: Nishanth Menon <[email-masked]>
Date: Wed, 3 Jun 2026 10:40:29 -0500

Hi ARM SoC maintainers,

There is a minor checkpatch report irq_lock - Check reports "struct
mutex definition without comment" but it is indeed part of the
structure documentation. Things look clean build wise and tests across
platforms are also good as of next-20260602.

Please pull:

The following changes since commit 254f49634ee16a731174d2ae34bc50bd5f45e731:

  Linux 7.1-rc1 (2026-04-26 14:19:00 -0700)

are available in the Git repository at:

  https://git.kernel.org/pub/scm/linux/kernel/git/ti/linux.git tags/ti-driver-soc-for-v7.2

for you to fetch changes up to dc51f820bd32415445655aa6e3af9011b9e3e0f3:

  firmware: ti_sci: Add support for restoring clock context during resume (2026-05-26 06:44:42 -0500)

----------------------------------------------------------------
TI SoC driver updates for v7.2

TI K3 TISCI:
- ti_sci: Add BOARDCFG_MANAGED mode for support system suspend/resume cycles
- ti_sci: Add support for restoring IRQ and clock contexts during resume.
- clk: keystone: sci-clk: Add clock restoration support.

SoC Drivers:
- k3-socinfo: Add support for identifying AM62P silicon variants via NVMEM,
  along with corresponding dt-bindings update for nvmem-cells support
- k3-ringacc: Fix incorrect access mode for ring pop tail IO/proxy operations

Keystone Navigator (knav) Cleanup and Fixes:
- knav_qmss: Multiple code quality improvements
- knav_qmss_queue: Implement proper resource cleanup in the remove() path

General Cleanups:
- k3-ringacc: Use str_enabled_disabled() helper for consistency
- knav_qmss: Use %pe format specifier for PTR_ERR() printing

----------------------------------------------------------------
Judith Mendez (2):
      dt-bindings: hwinfo: ti,k3-socinfo: Add nvmem-cells support
      soc: ti: k3-socinfo: Add support for AM62P variants via NVMEM

Md Shofiqul Islam (1):
      soc: ti: knav_qmss_queue: Implement resource cleanup in remove()

Nishanth Menon (11):
      soc: ti: knav_qmss: Remove remaining redundant ENOMEM printks
      soc: ti: knav_qmss: Rename global kdev to knav_qdev to fix -Wshadow
      soc: ti: knav_qmss: Inline lockdep condition in for_each_handle_rcu
      soc: ti: knav_qmss: Fix kernel-doc Return: tags
      soc: ti: knav_qmss: Use %pe to print PTR_ERR()
      soc: ti: knav_qmss: Fix __iomem annotations and __be32 type
      soc: ti: knav_qmss_acc: Fix kernel-doc Return: tag
      soc: ti: knav_dma: Remove unused DMA_PRIO_MASK macro
      soc: ti: knav_dma: Remove dead check on unsigned args.args[0]
      soc: ti: knav_dma: Use IOMEM_ERR_PTR() in pktdma_get_regs()
      soc: ti: k3-ringacc: Use str_enabled_disabled() helper

Randy Dunlap (1):
      soc: ti: knav_dma: fix all kernel-doc warnings in knav_dma.h

Siddharth Vadapalli (1):
      soc: ti: k3-ringacc: Fix access mode for k3_ringacc_ring_pop_tail_io/proxy

Thomas Richard (TI) (4):
      firmware: ti_sci: Add BOARDCFG_MANAGED mode support
      firmware: ti_sci: Add support for restoring IRQs during resume
      clk: keystone: sci-clk: Add restore_context() operation
      firmware: ti_sci: Add support for restoring clock context during resume

 .../devicetree/bindings/hwinfo/ti,k3-socinfo.yaml  |  11 ++
 drivers/clk/keystone/sci-clk.c                     |  45 ++++-
 drivers/firmware/ti_sci.c                          | 201 +++++++++++++++++++--
 drivers/firmware/ti_sci.h                          |   9 +
 drivers/soc/ti/k3-ringacc.c                        |   7 +-
 drivers/soc/ti/k3-socinfo.c                        |  41 ++++-
 drivers/soc/ti/knav_dma.c                          |   8 +-
 drivers/soc/ti/knav_qmss.h                         |   2 +-
 drivers/soc/ti/knav_qmss_acc.c                     |   2 +-
 drivers/soc/ti/knav_qmss_queue.c                   | 155 ++++++++--------
 include/linux/soc/ti/knav_dma.h                    |  11 +-
 11 files changed, 372 insertions(+), 120 deletions(-)

-- 
Regards,
Nishanth Menon
Key (0xDDB5849D1736249D) / Fingerprint: F8A2 8693 54EB 8232 17A3  1A34 DDB5 849D 1736 249D
https://ti.com/opensource